
'Función para imprimir panel de controles
SUB ImprimePanel()
    DIM i as UBYTE
    DIM lado AS BYTE
    CLS
    
    muthurClear(-1)
    FOR lado=0 TO 1
        FOR i=0 TO 6
            setAttr(bP,abs(lado*maxX-i),5)
            setAttr(bP+3,abs(lado*maxX-i),5)
            putChars(abs(lado*maxX-i),bP,1,1,@pg_borde(0,0))
            putChars(abs(lado*maxX-i),bP+3,1,1,@pg_borde(3,0))
        NEXT i
        
        FOR i=0 TO 1
            setAttr(bP+i*3,abs(lado*maxX),%1000101)
            setAttr(bP+i*3,abs(lado*maxX-1),%1000101)
            setAttr(bP+i*3,abs(lado*maxX-4),%1000101)
        NEXT i
        
        FOR i=0 TO 1
            putChars(abs(lado*maxX-2),bP+1+i,1,1,@pg_borde(1,0))
            putChars(abs(lado*maxX-5),bP+1+i,1,1,@pg_borde(1,0))
        NEXT i
        
        FOR i=0 TO 1
            setAttr(bP,abs(lado*maxX-2-3*i),%1000111)
            setAttr(bP+3,abs(lado*maxX-2-3*i),%0000111)
            setAttr(bP+1,abs(lado*maxX-2-3*i),%1000111)
            putChars(abs(lado*maxX-2-3*i),bP,1,1,@pg_join(0))
            putChars(abs(lado*maxX-2-3*i),bP+3,1,1,@pg_join(0))
        NEXT i
        
        putChars(abs(lado*maxX-6),bP,1,1,@pg_bordepico(0+2*lado,0))
        putChars(abs(lado*maxX-6),bP+3,1,1,@pg_bordepico(1+2*lado,0))
        
        putChars(abs(lado*maxX-3)-lado,bP+1,2,2,@pg_equipo(0))
        paint(abs(lado*maxX-3)-lado,bP+1,2,2,%1000001)
        
        putChars(abs(lado*maxX-7),bP,1,4,@pg_life(0))
        setAttr(bP,abs(lado*maxX-7),%0000101)
        setAttr(bP+1,abs(lado*maxX-7),%1000101)
        setAttr(bP+2,abs(lado*maxX-7),%0000010)
        setAttr(bP+3,abs(lado*maxX-7),%1000010)
    next lado
    
    FOR i=0 TO 1
        putChars(14,bP+i*3,1,1,@pg_bordepico(2+i,0))
        putChars(15,bP+i*3,1,1,@pg_borde(0+3*i,0))
        putChars(16,bP+i*3,1,1,@pg_borde(0+3*i,0))
        putChars(17,bP+i*3,1,1,@pg_bordepico(0+i,0))
        paint(14,bP+i*3,4,1,%1000101)
    NEXT i
    
    putChars(15,bP+1,2,2,@pg_crystal)
    paint(15,bP+1,3,2,%1000100)
    setAttr(bP+2,16,%0000100)
    setAttr(bP+2,17,%0000100)
    
    putCharsOverMode(0,bP+1,ANCHO,2,0,@Matt_parado_der(0,16))
    putCharsOverMode(0,bP+1,1,2,0,@Matt_parado_der(0,0))
    paint(1,bP+2,1,1,57)
    putCharsOverMode(30,bP+1,ANCHO,2,0,@Matt_parado_izq(0,16))
    putCharsOverMode(30,bP+1,1,2,0,@Matt_parado_izq(0,0))
    putChars(30,bP+2,1,1,@Matt_lars)
    paint(30,bP+2,1,1,59)
    
    PrintChar(6,14,Code("0"),20480,0): setAttr(bP+2,14,%1000001)
    PrintChar(6,17,Code("0"),20480,0): setAttr(bP+2,17,%1000011)
    
    paint(3,bP+1,2,2,0)
    
    FOR i=0 TO 31
        PRINT AT 1,i;"."
        setAttr(1,i,7)
    NEXT i
    
    For i=0 To 50
        fastPlotXOR(stars(i,0),172+stars(i,1) mod 19)
    Next i
    paint(11,0,10,1,0)
    PRINT AT 0,11; INK 65;"SPACE": PRINT AT 0,17; INK 67;"BROS"
    
    PRINT AT 0,3;chr$(123):PRINT AT 0,5;chr$(40)
    PRINT AT 0,8;ink 5; chr$(126)
    PRINT AT 0,22;ink 2; chr$(127); ink 7; " ";chr$(40);"  ";chr$(125);
    INK 0: PRINT AT 10,0;" "
END SUB































































